import React, { ReactNode } from 'react';
import { BundledLanguage, BundledTheme } from 'shiki';
import { Element } from 'hast';
export { Element } from 'hast';

interface ShikiHighlighterProps {
    language: BundledLanguage;
    children: string;
    theme: BundledTheme;
    addDefaultStyles?: boolean;
    style?: React.CSSProperties;
    className?: string;
    showLanguage?: boolean;
    as?: React.ElementType;
}
declare const ShikiHighlighter: ({ language, theme, addDefaultStyles, style, className, showLanguage, children: code, as: Element, }: ShikiHighlighterProps) => React.JSX.Element;

declare const useShikiHighlighter: (code: string, lang: BundledLanguage | undefined, theme: BundledTheme) => ReactNode;

declare const isInlineCode: (node: Element) => boolean;

export { ShikiHighlighter as default, isInlineCode, useShikiHighlighter };
